xoops forums

Mamba

Moderator
Posted on: 9/24 1:15
Mamba
Mamba (Show more)
Moderator
Posts: 10620
Since: 2004/4/23
#11

Re: Publisher 1.06 FINAL Released (PHP 5.6 - 7.2.8)

Quote:
I'd like to know if there is an option (at will) to add an expiration date when someone creating an article.

You can change the status to "offline" but there is not expiration date currently. We would need to add it in the future...

Feel free to fork it on GitHub and add it to Publisher...
Support XOOPS => DONATE
Use 2.5.9 | Docs | Modules | Bugs

Mamba

Moderator
Posted on: 9/24 1:20
Mamba
Mamba (Show more)
Moderator
Posts: 10620
Since: 2004/4/23
#12

Re: Publisher 1.06 FINAL Released (PHP 5.6 - 7.2.8)

Quote:
I copied all Publisher 1.06 files to my production server (php 5.6.38-0+deb8u1)

What XOOPS version do you have there?

Try to setup a test site with your XOOPS and PHP versions, and then try Publisher there. If it doesn't work, try to update your XOOPS to XOOPS 2.5.10 Alpha and see if this helps...
Support XOOPS => DONATE
Use 2.5.9 | Docs | Modules | Bugs

SMEDrieben

Not too shy to talk
Posted on: 9/25 19:57
SMEDrieben
SMEDrieben (Show more)
Not too shy to talk
Posts: 173
Since: 2009/6/17
#13

Re: Publisher 1.06 FINAL Released (PHP 5.6 - 7.2.8): http 500 error

My production Xoops is 2.5.9, php 5.6.38-0+deb8u1.

This http 500 error after upgrading to 1.06 is very reproducible. I tried to upgrade today once again and it fails immediately. I looked into the server logs and these all generate the http 500 errors:

GET /modules/system/admin.php?fct=modulesadmin HTTP/1.1
GET /modules/system/admin.php?fct=preferences&op=show&confcat_id=1 HTTP/1.1
GET /modules/system/admin.php?fct=maintenance HTTP/1.1
GET /modules/system/admin.php?fct=blocksadmin HTTP/1.1
GET /modules/publisher/admin/index.php HTTP/1.1
GET /modules/publisher/category.php?categoryid=18 HTTP/1.1
GET /admin.php HTTP/1.1

Does it provide any clue ?

SMEDrieben

Mamba

Moderator
Posted on: 9/25 23:32
Mamba
Mamba (Show more)
Moderator
Posts: 10620
Since: 2004/4/23
#14

Re: Publisher 1.06 FINAL Released (PHP 5.6 - 7.2.8): http 500 error

Can you try a fresh install?

I suspect, it's an issue with the upgrade from an older version.
Support XOOPS => DONATE
Use 2.5.9 | Docs | Modules | Bugs

SMEDrieben

Not too shy to talk
Posted on: 9/26 10:35
SMEDrieben
SMEDrieben (Show more)
Not too shy to talk
Posts: 173
Since: 2009/6/17
#15

Re: Publisher 1.06 FINAL Released (PHP 5.6 - 7.2.8): http 500 error

The problem is that this error is generated at my production site, not at the test site (WAMP server). If I do a fresh install (after removing the current Publisher module), and it works, can I import the 1.05 publisher tables using phpmyadmin in the database ? I know how it works technically, but will the freshly installed 1.06 version work with the 1.05 tables from my backup ? Otherwise, all my current publisher posts will be lost.

This question also applies to Extcal 2.40 beta (https://xoops.org/modules/newbb/viewto ... &order=ASC&status=&mode=0 ) and ExtGallery (https://xoops.org/modules/newbb/viewtopic.php?post_id=363805 ) .

SMEDrieben

Mamba

Moderator
Posted on: 9/26 13:37
Mamba
Mamba (Show more)
Moderator
Posts: 10620
Since: 2004/4/23
#16

Re: Publisher 1.06 FINAL Released (PHP 5.6 - 7.2.8): http 500 error

Right now I am trying to find out if this is an issue with XOOPS/PHP, or with the module itself.

The goal is to be able to update your existing modules, so you don't have to mess around with importing the data.

Try the update with extCal and extGallery.

Reg. Publisher, I still have to investigate...
Support XOOPS => DONATE
Use 2.5.9 | Docs | Modules | Bugs

SMEDrieben

Not too shy to talk
Posted on: 9/26 18:03
SMEDrieben
SMEDrieben (Show more)
Not too shy to talk
Posts: 173
Since: 2009/6/17
#17

Re: Publisher 1.06 FINAL Released (PHP 5.6 - 7.2.8): http 500 error

I looked into the php-log of WAMP-server. On this test system, 1.06 is working without errors. Nevertheless, there are errors (not shown otherwise):

[25-Sep-2018 19:30:44 UTC] PHP Fatal error: Class 'Constants' not found in C:\wamp64\www\httpdocs\modules\publisher\index.php on line 64

[25-Sep-2018 19:30:44 UTC] PHP Stack trace:

[25-Sep-2018 19:30:44 UTC] PHP 1. {main}() C:\wamp64\www\httpdocs\modules\publisher\index.php:0

Does it help ?

SMEDrieben

xoobaru

Just can't stay away
Posted on: 10/17 20:27
xoobaru
xoobaru (Show more)
Just can't stay away
Posts: 494
Since: 2010/12/2
#18

Re: Publisher 1.06 FINAL Released (PHP 5.6 - 7.2.8)

Having visited XOOPS after quite some time, I d/l and installed 4.5.9 on Bitnami WEMP stack (Nginx) for Windows. Most of the install went good, but when I selected install the three default modules (private messaging, protector, and the other one) the install broke and would not complete.

Upon restoring script and db backups, re-attempted install but without selecting default modules and the install completed successfully. The three modules were then installed successfully one by one from the administrator back end.

Next I d/l Publisher 1.06 final release. After moving to the modules directory and initiating install process by clicking the green X icon, not only did the install break, but also broke the entire admin back end in an unrecoverable manner so that it was unusable without a third installation.

Just passing along my findings. Since the three default modules installed without issue, I would rule out that the root cause could be the module installer issue, db or script permissions issue, or server issue. Most likely something with the module itself.